/*
 * MtgDlg.java
 *
 * Created on 5 juillet 2006, 17:10
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package dialogs;
import java.awt.*;
import javax.swing.*;

import types.Bool;
import Applet.*;

/**
 *
 * @author Yves
 * Ancetre de tous les dialogues utiliss dans l'applet
 */
@SuppressWarnings("serial")
public class MtgDlg extends JDialog {
  protected AppletMathGraph32 applet;
  private Bool retourOK; // Contient true si la boite de dialogue a t cre en cliquant
                  // sur OK et false sinon
  public boolean getRetourOK() {
    return retourOK.getValue();
  }
  public void setRetourOK(boolean value) {
    retourOK.setValue(true);
  }
  
  /** Creates a new instance of MtgDlg */
  public MtgDlg(Frame owner, String title, boolean modal, AppletMathGraph32 appletInit) {
    super(owner, title, modal);
    applet = appletInit;
    retourOK = new Bool(false);
  }
  /* Fonction affichant un dialogue d'avertissement au centre de l'cran
   */
  public final static void dialogueAvertissement(String texte) {
    JOptionPane.showMessageDialog(null, texte, "Avertissement", JOptionPane.WARNING_MESSAGE);
  }

  /**
   * Fonction permettant de spcifier les champs d'un GridBagConstraints qui permet de
   * spcifier comment sont agencs les composants d'une boite de dialogue
   **/
  public static final void setConstraints(GridBagConstraints gbc, int gx, int gy, int gw, int gh, 
    int wx, int wy, int fill, int anchor) {
    gbc.gridx = gx;
    gbc.gridy = gy;
    gbc.gridwidth = gw;
    gbc.gridheight = gh;
    gbc.anchor = anchor;
    gbc.fill = fill;
  }
  
  /* Renvoie la valeur contenue dans retourOK ce qui permet de savoir si la boite
   * de dialogue a t ferme en validant
  */
  public final boolean retourOK() {
    return retourOK.getValue();
  }
  
}
