/*
 * CCalculComplexe.java
 *
 * Created on 27 janvier 2007, 21:40
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package objets;
import types.*;

/**
 *
 * @author Yves
 */
public class CCalculComplexe extends CCalcul {
  public Complexe resultatComplexe = new Complexe();
  
  /** Creates a new instance of CCalculComplexe */
  public CCalculComplexe() {
  }
  /* Constructeur pour outil de cration */
  public CCalculComplexe(CListeObjets liste, CImplementationProto impProtoInit, boolean estElementFinalInit) {
    super(liste, impProtoInit, estElementFinalInit);
  }
  // Constructeur pour clonage
  public CCalculComplexe(CListeObjets liste, CImplementationProto impProtoInit, boolean estElementFinalInit,
      String nomCalculInit, String chaineCalculInit, CCalculBase calculInit) {
    super(liste, impProtoInit, estElementFinalInit, nomCalculInit, chaineCalculInit, calculInit);
  }
  
  @Override
  public CElementBase getClone(CListeObjets listeSource, CListeObjets listeCible) {
    int ind1 = listeSource.indexOf(impProto);        
    CCalculBase calculClone = calcul.getClone(listeSource, listeCible);
    return new CCalculComplexe(listeCible, (CImplementationProto)(listeCible.get(ind1, CImplementationProto.class)),
      estElementFinal, nomCalcul, chaineCalcul, calculClone);
  }
  
  @Override
  public long getNatureCalcul() {
  	return NatureCalcul.NCalculComplexe;
  }
  
  @Override
  public String infoPourHistorique() {
    String ch =  textes.Chaines.ch101 + " " + nom() + "\n" + nom() + " = " + chaineCalcul;
    if (existe) ch = ch + "\n" + textes.Chaines.chinfo97 + " " + rendChaineValeurComplexe(12, false);
    else ch = ch + "\n" + textes.Chaines.ch18;
    return ch;
  }
  
 public void positionne(boolean infoRandom, DimensionFenetre dimfen) {
    existe = calcul.existe();
    if (!existe) return;
    // A revoir en java pour la gestion des erreurs de calcul
    // AnnuleErreurDeCalcul();	// Pour dtecter une ventuelle erreur de
    //                         // calcul lors de l'appel
    try {
      calcul.resultatComplexe(infoRandom, resultatComplexe);
    }
    catch (ErreurCalculException e) {
      existe = false;
      resultat = 0;
    }
    if (Double.isNaN(resultatComplexe.x) || Double.isInfinite(resultatComplexe.x)
      || Double.isNaN(resultatComplexe.y) || Double.isInfinite(resultatComplexe.y)) {
       existe = false;
    }
  }
 
  public void rendValeurComplexe(boolean infoRandom, Complexe zRes) {
    zRes.set(resultatComplexe);
  }
 
  // La fonction suivante ne sera redfinie que pour CCalculComplexe
  // Sert dans les commentaires dynamiques
  public String rendChaineValeurPourCommentaire(int nbDecimales, boolean infoRandom)
  {
    return rendChaineValeurComplexe(nbDecimales, infoRandom);
  }
  
   // Inutile de redfinir informationModification() pour les objets de type calcul
  
}
