/*
 * CPointAncetrePointsMobiles.java
 *
 * Created on 28 juin 2004, 20:45
 */

/**
 *
 * @author  Yves
 * @version 
 */
package objets;

import java.io.*;
import java.awt.geom.*;
import java.awt.Color;
import types.*;
import entreesSorties.MathGraphDataInputStream;
import entreesSorties.MathGraphDataOutputStream;

public abstract class CPointAncetrePointsMobiles extends CPointAncetre {
	public boolean pointLibre;

  /** Creates new CPointAncetrePointsMobiles */
  public CPointAncetrePointsMobiles() {
  }
  protected CPointAncetrePointsMobiles(CListeObjets liste, CImplementationProto impProtoInit, boolean estElementFinalInit,
    Color couleurInit, boolean nomMasqueInit, double dec_xInit, double dec_yInit,
    boolean masqueInit, String nomInit, int indiceTailleNomInit,
    int motifInit, boolean pointLibreInit) {
      super (liste, impProtoInit, estElementFinalInit, couleurInit, nomMasqueInit,
        dec_xInit, dec_yInit, masqueInit, nomInit, indiceTailleNomInit, motifInit);
      pointLibre = pointLibreInit;
  }

  @Override
  public void setClone(CElementBase ptel) {
    super.setClone(ptel);
  }
  
  public boolean estLibre() { return pointLibre; }
  
  // La procdure suivante test si le dplacement du point correspondant  la position
  // (xtest, ytest)  de la souris est possible et si oui renvoyant dans pointr les
  // nouvelles coordonnes et dans pointAbs.x l'abscisse pour un point li

  public abstract boolean testDeplacement(DimensionFenetre dimfen, double xtest, double ytest,
        Point2D.Double pointr, Doub abscr) ;
  
  public void chargeDepuisFlux(MathGraphDataInputStream inps, CListeObjets list) throws IOException {
    super.chargeDepuisFlux(inps, list);
    pointLibre = inps.readBoolean();
  }
    
  /* Chargement depuis un flux java */
  public void read(MathGraphDataInputStream inps, CListeObjets list)  throws IOException {
    super.read(inps, list);
    pointLibre = inps.readBoolean();
  }
  
  /* Enregistrement dans un flux java */
  public void write(MathGraphDataOutputStream oups, CListeObjets list)  throws IOException {
    super.write(oups, list);
    oups.writeBoolean(pointLibre);
  }
    
}
