/**
  	Applet MathGraph32 Java. Software for animating dynamic mathematics figures on web pages
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package outils;

import objets.CCalcul;
import dialogs.CalculReelDlg;
import Applet.AppletMathGraph32;

/**
 *
 * @author Yves
 */
public class OutilCalcul extends Outil {
  public OutilCalcul(AppletMathGraph32 appletMereInit) {
    super(appletMereInit, false, AppletMathGraph32.iconCreerCalcul);
  }
  
  public int idMenu() {
    return 32879;
  }

  public String toolTip() {
    return getString("toolTip3");
  }
  
  public void select() {
    super.select();
    appletMere.indication(getString("calcul1"));
    CCalcul cal = new CCalcul(appletMere.listePr, null, false);    
    CalculReelDlg dlg = new CalculReelDlg(appletMere, cal);
    dlg.setLocationRelativeTo(appletMere);
    dlg.setVisible(true);
    if (dlg.retourOK()) {
      if (appletMere.ajouteElementAvecVerification(cal))
        appletMere.gestionnaire.enregistreFigureEnCours(getString("chaineOutil20"));    	
    }    
    appletMere.activeOutilCapture();
  }  

}
