/*
 * OutilSeg.java
 *
 * Created on 26 fvrier 2006, 08:22
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

/**
 *
 * @author Yves
 * Outil de cration d'un segment
 */

package outils;

import Applet.*;
import objets.*;
import types.*;


public class OutilSeg extends OutilPar2pts {
  
  /** Creates a new instance of OutilSeg */
  public OutilSeg(AppletMathGraph32 appletMereInit) {
    super(appletMereInit);
  }

  public int idMenu() {
    return 32784;
  }
  
  /**
   * Renvoie le nom du fichier gif associ  l'outil
   * @return
   */
  public String nomGif() {
    return "Segment.gif";
  }
  
  public String chaineInfo() {
    return textes.Chaines.chaineInfo19;
  }  

  public String toolTip() {
    return textes.Chaines.toolTip19;
  }
  
  /* Appel pour crer finalement l'objet une fois que tous les objets dont il
   * dpend ont t dsigns */
  public void creeObjet() {
    CSegment pt = new CSegment(appletMere.listePr, null, false, appletMere.couleurActive(),
      false, StyleTrait.traitFin, point1, point2);
    if (appletMere.ajouteElementAvecVerification(pt))
      appletMere.gestionnaire.enregistreFigureEnCours(textes.Chaines.chaineOutil15);
    annuleClignotement();
    select();
  }
  /** Mthode ajoutant les objets visuels  la liste listeObjetsVisuels de l'applet
   * au fur et  mesure que l'on dsigne les obejts  la souris
   * Doit tre redfini pour chaque outil utilisant une aide visuelle  la cration
   */
  public void ajouteObjetsVisuels() {
    CSegment seg = new CSegment(appletMere.listeObjetsVisuels, null, false,
       point1, appletMere.pointSouris);
    appletMere.listeObjetsVisuels.add(seg);
  }  

  /**
   * Fonction renvoyant la chane  afficher  l'tape i (i >= 1) comme indication
   * Doit tre redfinie par les descendants devant crire plusieurs indications
   * @param i : l'indice
   * @return
   */
          
  public String chaineIndication (int indEtape) {
    switch(indEtape) {
      case 1 : return textes.Chaines.segment1;
      case 2 : return textes.Chaines.segment2;
      default: return "";
    }
  }
  
}
