/*
 * OutilSup.java
 *
 * Created on 6 aot 2006, 20:55
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package outils;
import Applet.*;
import java.awt.*;

import objets.*;

import types.*;

/**
 *
 * @author Yves
 */
public class OutilSup extends Outil {
  private CElementGraphique objet;
  
  /** Creates a new instance of OutilSup */
  public OutilSup(AppletMathGraph32 appletMereInit) {
    super(appletMereInit, true);
  }
  
  /**
   * Renvoie le nom du fichier gif associ  l'outil
   * @return
   */
  public String nomGif() {
    return "Suppression.gif";
  }
  
  public String chaineInfo() {
    return textes.Chaines.chaineInfo20;
  }  

  public String toolTip() {
    return textes.Chaines.toolTip20;
  }
  
  /** Appel lorsque l'outil est slectionn */
  public void select() {
    super.select();
    objet = null;
    appletMere.outilPointageActif = appletMere.outilPointageSup;
    designationDe(NatureObjet.NToutObjet);
    appletMere.indication(textes.Chaines.suppression1);
  }
    
  /* Appel lorsqu'un objet a t cliqu pour tre trait par l'outil
   * par exemple le premier point pour crer une droite passant par deux points */
  public void traiteObjetDesigne(CElementGraphique elg, Point pointClique) {
    if (objet == null) {
      objet = elg;
      if (appletMere.listePr.nombreDependants(elg) >= 2) {
        ajouteClignotementDe(elg);
        resetClignotement();
        if (appletMere.dialogueYesNo(textes.Chaines.ch23)) {
          creeObjet();
        }      
      }
      else creeObjet();
      annuleClignotement();
      select();
    }
  }
  
  /* Appel pour crer finalement l'objet une fois que tous les objets dont il
   * dpend ont t dsigns. Ici on dtruit l'objet dsign.
   *Amlioration par rapport au C++, l'ordre de destruction se fait sur l'antcdent
   * direct c'est  dire le premier des objts crs pour crer l'objet supprim
   *qui est lui-mme suaf pour les images et les intersections de cercles avec cerlces
   * ou droites.
   */
  public void creeObjet() {
    appletMere.retireDependants(objet.antecedentDirect());
    appletMere.etablitListeObjetsConstruits();
    appletMere.gestionnaire.enregistreFigureEnCours(textes.Chaines.chaineOutil16);
    appletMere.redessine();
    appletMere.activeOutilCapture();
  }
 
  
}
