/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package types;

import Applet.AppletMathGraph32;

/**
 * Classe qui ne servira que pour implmenter les sommes et produits indics dans les calculs avec une syntaxe
 * de la forme somme(expression, nomvar, indicedebut, indicefin, pas)
 * @author Yves
 *
 */
public class OperateurFonction5Var {
  public OperateurFonction5Var() {
  }
  public static final int nombreFonctionsReelles5Var = 2;
  
  public static final byte somme = 0;
  public static final byte produit = 1;
  
  
  public static final int indicePremiereFonctionComplexe = 64;
  public static final int nombreFonctionsComplexes5Var = 2;
  
  public static final byte sommeC = 64;
  public static final byte produitC = 65;
  
  public static final String getString(String key) {
  	return AppletMathGraph32.getString(key);
  }  
  
  public static final String nomsFonctions5Var[] =
	{
  	getString("somme"), getString("produit")
	};
  public static final String nomsFonctionsComplexes5Var[] =
	{
  	getString("somme"), getString("produit")
	};
  public static final String syntaxeNomsFonctions5Var[] =
	{
  	getString("infosomme"), getString("infoproduit")
	};
  public static final String syntaxeNomsFonctionsComplexes5Var[] =
	{
  	getString("infosomme"), getString("infoproduit")
	};
}
