/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Applet;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JColorChooser;
import javax.swing.JDialog;

/**
 *
 * @author Yves
 */
@SuppressWarnings("serial")
public class JMtgColorButton extends JButton implements ActionListener {
  private AppletMathGraph32 appletMere;
  private static Insets insets = new Insets(0,0,0,0);
  public Color couleur = Color.BLACK; // la couleur du bouton
  
  /** Creates a new instance of JMtgColorButton */
  public JMtgColorButton(AppletMathGraph32 appletMereInit) {
    super();
    appletMere = appletMereInit;
    setMargin(insets);
    setBackground(appletMere.bar4.getBackground());
    setToolTipText(textes.Chaines.toolTip27);
    setPreferredSize(new Dimension(49,24));
    addActionListener(this);
  }
  public void actionPerformed(ActionEvent e) {
    JColorChooser cs = appletMere.colorChooser;
    cs.setColor(couleur);
    JDialog dialog = JColorChooser.createDialog(null, "Choix de couleur", true, cs,
            null, null);
    dialog.setVisible(true);
    couleur = cs.getColor();
  }
  
	public void paint(Graphics g) {
		setOpaque(false);
		super.paint(g); // Pour que le rectangle de fond soit transparent
	  Dimension rect = getSize();
		g.setColor(couleur);
	  g.fillOval(4, 4, rect.width - 9, rect.height - 10);
	  if (couleur != Color.BLACK) g.setColor(Color.BLACK);
	  else g.setColor(Color.WHITE);
	  g.drawOval(4, 4, rect.width - 9, rect.height - 10);
	}
}
