/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package dialogs;

import Applet.AppletMathGraph32;
import java.awt.Dimension;
import java.awt.GridLayout;
import java.util.Vector;
import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;

import types.NatureObjet;

/**
 *
 * @author Yves
 */
@SuppressWarnings("serial")
public class ChoixTypeDlg extends MtgDlg {
  long naturesDesignables;  // Contient un bit pour la nature de tous les types d'objets
                            // qui sont proches du pointeur souris lors de l'appel
  private static long types[] = new long[NatureObjet.nombreTypesDesignables];
  private static int indicesTypes[] = new int[NatureObjet.nombreTypesDesignables];
  public int indiceTypeChoisi; // Servira  connatre la rponse de l'utilisateur

  private javax.swing.JButton btnOK;
  private javax.swing.JButton btnCancel;
  private javax.swing.JLabel label1;
  private javax.swing.JLabel label2;
  private javax.swing.JLabel label3;
  private javax.swing.JList list;
  private javax.swing.JPanel panePrincipal;
  private javax.swing.JPanel paneHigh;
  private javax.swing.JPanel paneCenter;
  private javax.swing.JPanel paneLow;
  private javax.swing.JScrollPane scrollPane;
  
  /** Creates new form ChoixTypeDlg2 */
  public ChoixTypeDlg(AppletMathGraph32 appletInit, long naturesDesignablesInit) {
    super(null, "Choix  prciser", true, appletInit);
    naturesDesignables = naturesDesignablesInit;    
    initComponents();
    Vector<String> vect = new Vector<String>();
    int j = 0;
    for (int i = 0; i < NatureObjet.nombreTypesDesignables; i++) {
      long nat = NatureObjet.conversionNumeroNature[i];
      long test = nat & naturesDesignables;
      if (test != 0) {
        types[j] = nat;
        indicesTypes[j] = i;
        j++;
        vect.add(NatureObjet.descriptionNature[i]);       
      }  
    }
    list.setListData(vect);
    list.setSelectedIndex(0);
    pack();
  }
  
  private void initComponents() {
    label1 = new JLabel(textes.Chaines.choixTypelg1, JLabel.LEFT);
    label2 = new JLabel(textes.Chaines.choixTypelg2, JLabel.LEFT);
    label3 = new JLabel(textes.Chaines.choixTypelg3, JLabel.LEFT);
    panePrincipal = new JPanel();
    paneHigh = new JPanel();
    paneCenter = new JPanel();
    paneLow = new JPanel();       
    list = new JList();
    scrollPane = new javax.swing.JScrollPane();
    label1.setRequestFocusEnabled(false);
    label2.setRequestFocusEnabled(false);
    label3.setRequestFocusEnabled(false);
    
    list.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
    list.setVisibleRowCount(5);
    scrollPane.setViewportView(list);
    
    
    btnOK = new javax.swing.JButton("OK");
    btnOK.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        btnOKActionPerformed(evt);
      }
    });    
    btnCancel = new javax.swing.JButton("Annuler");
    btnCancel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        btnCancelActionPerformed(evt);
      }
    });
    panePrincipal.setLayout(new BoxLayout(panePrincipal, BoxLayout.Y_AXIS));
    panePrincipal.setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
    paneHigh.setLayout(new GridLayout(2, 1, 5, 10));
    paneHigh.add(label1);
    paneHigh.add(label2);
    paneCenter.setLayout(new BoxLayout(paneCenter, BoxLayout.X_AXIS));
    paneCenter.setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
    paneCenter.add(Box.createRigidArea(new Dimension(5,5)));
    paneCenter.add(label3);
    paneCenter.add(Box.createRigidArea(new Dimension(5,5)));
    paneCenter.add(scrollPane);
    paneLow.setLayout(new BoxLayout(paneLow, BoxLayout.X_AXIS));
    paneCenter.add(Box.createRigidArea(new Dimension(5,5)));
    paneLow.add(btnOK);
    paneLow.add(btnCancel);
    panePrincipal.add(paneHigh);
    panePrincipal.add(paneCenter);
    panePrincipal.add(paneLow);
    setContentPane(panePrincipal);
    pack();
  }
    
    private void btnCancelActionPerformed(java.awt.event.ActionEvent evt) {                                         
  // TODO add your handling code here:
      setRetourOK(false);
      dispose();
    }                                        

    private void btnOKActionPerformed(java.awt.event.ActionEvent evt) {                                         
  // TODO add your handling code here:
      setRetourOK(true);
      indiceTypeChoisi = indicesTypes[list.getSelectedIndex()];
      dispose();
    }                                        
    
}
