/*
 * ListeValeursComboDlg.java
 *
 * Created on 9 juillet 2006, 09:23
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package dialogs;
import Applet.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;


/**
 *
 * @author Yves
 * Ce type de dialogue sera ouvert lorsqu'on clique sur un bouton Liste des valeurs
 * dans une boite de dialogue permettant de spcifier un angle
 */
@SuppressWarnings("serial")
public class ListeValeursComboDlg extends MtgDlg implements ActionListener {
  private EditeurAngle editeur;   // Le combo d'entre d'angle associ
  @SuppressWarnings("unused")
	private int indiceMaxi;         // L'indice maxi dans la lsite d'objets du dernier objet qui puiss
                          // figurer dans le combo
  private ListeValeurs listeVal;
  private JButton btnOK, btnCancel;  
  
  
  /** Creates a new instance of ListeValeursComboDlg */
  public ListeValeursComboDlg(AppletMathGraph32 appletInit, EditeurAngle editeurInit,
      int indiceMaxiInit) {
    super(null, textes.Chaines.listeValeursComboDlg1,true, appletInit);
    this.setResizable(false);
    editeur = editeurInit;
    indiceMaxi = indiceMaxiInit;
    btnOK = new JButton(textes.Chaines.btnOK);
    btnCancel = new JButton(textes.Chaines.btnCancel);
    // Pour la version applet on n'utilise que l'utilisation des calculs ou mesures
    // faits par l'utilisateur, c'est  dire les objets contenus dans listeConstruction
    // Pour cette raison le calcul pi est rajout  cette liste au chargement
    listeVal = new ListeValeurs(applet.listeConstruction, indiceMaxiInit);
    JPanel pane = new JPanel();
    GridBagLayout gridBag = new GridBagLayout();
    pane.setLayout(gridBag);
    GridBagConstraints constraints = new GridBagConstraints();
    // Le combo s'tale sur deux colonnes
    setConstraints(constraints, 0, 0, 2, 1, 100, 1, GridBagConstraints.BOTH, GridBagConstraints.CENTER);
    //constraints.insets.bottom = 60;
    JScrollPane scrollList = new JScrollPane(listeVal, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    gridBag.setConstraints(scrollList, constraints);
    pane.add(scrollList);
    constraints.insets.bottom = 0;
    
    setConstraints(constraints, 0, 1, 1, 1, 50, 0, GridBagConstraints.NONE, GridBagConstraints.EAST);
    gridBag.setConstraints(btnOK, constraints);
    pane.add(btnOK);

    setConstraints(constraints, 1, 1, 1, 1, 50, 0, GridBagConstraints.NONE, GridBagConstraints.WEST);
    gridBag.setConstraints(btnCancel, constraints);
    pane.add(btnCancel);    
    setContentPane(pane);
    btnOK.addActionListener(this);
    btnCancel.addActionListener(this);
    pack();  
  }

  public void actionPerformed(ActionEvent evt) {
    if (evt.getSource()== btnOK) {
      editeur.setSelectedItem(listeVal.getSelectedValue());
      dispose();
    }
    else {
      if (evt.getSource()== btnCancel) {
        dispose();
      }
    }   
  }

}
