/*
 * ListeValeursTextFieldDlg.java
 *
 * Created on 10 juillet 2006, 20:09
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package dialogs;
import Applet.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 *
 * @author Yves
 * Ce type de dialogue sera ouvert lorsqu'on clique sur un bouton Liste des valeurs
 * dans une boite de dialogue permettant de spcifier une valeur autre qu'un angle
 */
@SuppressWarnings("serial")
public class ListeValeursTextFieldDlg extends MtgDlg implements ActionListener {
  private JTextField editeur;   // Le combo d'entre d'angle associ
  @SuppressWarnings("unused")
	private int indiceMaxi;         // L'indice maxi dans la lsite d'objets du dernier objet qui puiss
                          // figurer dans le combo
  private JLabel label;
  private ListeValeurs listeVal;
  private JButton btnOK, btnCancel;  
  
  
  /** Creates a new instance of ListeValeursComboDlg */
  public ListeValeursTextFieldDlg(AppletMathGraph32 appletInit, JTextField editeurInit,
      int indiceMaxiInit) {
    super(null, textes.Chaines.listeValeursComboDlg1,true, appletInit);
    editeur = editeurInit;
    indiceMaxi = indiceMaxiInit;
    label = new JLabel(textes.Chaines.listeValeursTextField2);
    btnOK = new JButton(textes.Chaines.btnOK);
    btnCancel = new JButton(textes.Chaines.btnCancel);
    // Pour la version applet on n'utilise que l'utilisation des calculs ou mesures
    // faits par l'utilisateur, c'est  dire les objets contenus dans listeConstruction
    // Pour cette raison un calcul pi est rajout  cette liste au chargement
    listeVal = new ListeValeurs(applet.listeConstruction, indiceMaxiInit);
    JPanel pane = new JPanel();
    GridBagLayout gridBag = new GridBagLayout();
    pane.setLayout(gridBag);
    GridBagConstraints constraints = new GridBagConstraints();
    setConstraints(constraints, 0, 0, 2, 1, 100, 10, GridBagConstraints.NONE, GridBagConstraints.WEST);
    constraints.insets.top = 4;
    constraints.insets.bottom = 4;
    constraints.insets.left = 5;
    constraints.insets.right = 5;

    gridBag.setConstraints(label, constraints);
    pane.add(label);
    constraints.insets.top = 0;
    constraints.insets.bottom = 0;    
    setConstraints(constraints, 0, 1, 2, 1, 100, 80, GridBagConstraints.HORIZONTAL, GridBagConstraints.CENTER);
    JScrollPane scrollList = new JScrollPane(listeVal, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    
    //constraints.insets.bottom = 60;
    gridBag.setConstraints(scrollList, constraints);
    pane.add(scrollList);
    constraints.insets.bottom = 0;
    
    setConstraints(constraints, 0, 2, 1, 1, 50, 20, GridBagConstraints.NONE, GridBagConstraints.EAST);
    gridBag.setConstraints(btnOK, constraints);
    pane.add(btnOK);

    setConstraints(constraints, 1, 2, 1, 1, 50, 0, GridBagConstraints.NONE, GridBagConstraints.WEST);
    gridBag.setConstraints(btnCancel, constraints);
    pane.add(btnCancel);    
    setContentPane(pane);
    btnOK.addActionListener(this);
    btnCancel.addActionListener(this);
    pack();  
  }

  public void actionPerformed(ActionEvent evt) {
    if (evt.getSource()== btnOK) {
      int i = editeur.getCaretPosition();
      String ch = editeur.getText();
      String ch2 = ch.substring(0, i) + (String) listeVal.getSelectedValue()
              + ch.substring(i);
      editeur.setText(ch2);
      dispose();
    }
    else {
      if (evt.getSource()== btnCancel) {
        dispose();
      }
    }   
  }
}