/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package dialogs;

import Applet.AppletMathGraph32;
import java.awt.Dimension;
import java.awt.FlowLayout;
import javax.swing.Box;
import javax.swing.BoxLayout;

/**
 *
 * @author Yves
 */
@SuppressWarnings("serial")
public class PremierDernierDlg extends MtgDlg {
  private javax.swing.JButton btnCancel;
  private javax.swing.JButton btnOK;
  private javax.swing.ButtonGroup btnGroup;
  private javax.swing.JLabel label1;
  private javax.swing.JLabel label2;
  private javax.swing.JPanel paneLeft;
  private javax.swing.JPanel paneRight;
  private javax.swing.JPanel panePrincipal;
  private javax.swing.JRadioButton rdioBtnDernier;
  private javax.swing.JRadioButton rdioBtnPremier;
  
  public PremierDernierDlg(AppletMathGraph32 appletInit) {
    super (null, "Choix  prciser", true, appletInit);
    initComponents();
    getRootPane().setDefaultButton(btnOK);
  }

  private void initComponents()  {
    btnGroup = new javax.swing.ButtonGroup();
    label1 = new javax.swing.JLabel(textes.Chaines.premierDernierDlg1);
    label2 = new javax.swing.JLabel(textes.Chaines.premierDernierDlg2);
    rdioBtnPremier = new javax.swing.JRadioButton(textes.Chaines.premierDernierDlg3);
    rdioBtnPremier.setSelected(true);
    rdioBtnDernier = new javax.swing.JRadioButton(textes.Chaines.premierDernierDlg4);
    paneLeft = new javax.swing.JPanel();
    paneRight = new javax.swing.JPanel();
    panePrincipal = new javax.swing.JPanel();
    btnOK = new javax.swing.JButton(textes.Chaines.btnOK);
    btnOK.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        btnOKActionPerformed(evt);
      }
    });    
    btnCancel = new javax.swing.JButton(textes.Chaines.btnCancel);
    btnCancel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        btnCancelActionPerformed(evt);
      }
    });
    btnGroup.add(rdioBtnPremier);
    btnGroup.add(rdioBtnDernier);
    paneLeft.setLayout(new BoxLayout(paneLeft, BoxLayout.Y_AXIS));
    paneRight.setLayout(new BoxLayout(paneRight, BoxLayout.Y_AXIS));
    paneLeft.add(label1);
    paneLeft.add(label2);
    paneLeft.add(rdioBtnPremier);
    paneLeft.add(rdioBtnDernier);
    paneRight.add(btnOK);
    paneRight.add(Box.createRigidArea(new Dimension(0,5)));
    paneRight.add(btnCancel);
    panePrincipal.setLayout(new FlowLayout());
    panePrincipal.add(paneLeft);
    panePrincipal.add(paneRight);
    setContentPane(panePrincipal);
    pack();    
  }
  private void btnCancelActionPerformed(java.awt.event.ActionEvent evt) {                                          
    dispose ();
  }                                         

  private void btnOKActionPerformed(java.awt.event.ActionEvent evt) {                                      
    // Si la rponse est valide, on ferme la boite de dialogue sans la dtruire.
    //setVisible(false); 
    dispose();
    //La boite de dialogue existera toujours ce qui permettra de connaitre le contneu
    // de retourOK
    setRetourOK(true);
  }                                     
  public boolean getPremierChoisi ()
  {
    return rdioBtnPremier.isSelected();
  }
}
