/*
 * CPointDansBipoint.java
 *
 * Created on 8 juillet 2004, 10:04
 */

/**
 *
 * @author  Yves
 * @version 
 */
package objets;

import java.awt.Color;

// La classe CPointDansBipoint n'existait pas dans le C++.
// Elle a t rajoute pour une programmation plus propre : la classe CPointAncetre
// tant abstract. Or on a besoin de crer deux points dans les constructeurs de l'objet
// CBipoint
public class CPointDansBipoint extends CPointAncetre {

  /** Creates new CPointDansBipoint */
  public CPointDansBipoint() {
  }
  
  // Constructeur pour clonage
  public CPointDansBipoint(CListeObjets liste, CImplementationProto impProtoInit, boolean estElementFinalInit,
      Color couleurInit, boolean nomMasqueInit, double dec_xInit, double dec_yInit,
      boolean masqueInit, String nomInit, int indiceTailleNomInit, int motifInit) {
     super (liste, impProtoInit, estElementFinalInit, couleurInit, nomMasqueInit, dec_xInit, 
        dec_yInit, masqueInit, nomInit, indiceTailleNomInit, motifInit);
  }
        
  @Override
  public CElementBase getClone(CListeObjets listeSource, CListeObjets listeCible) {
    int ind1 = listeSource.indexOf(impProto);
    CElementBase ptelb = new CPointDansBipoint(listeCible, (CImplementationProto)(listeCible.get(ind1, CImplementationProto.class)),
      estElementFinal, couleur, nomMasque, dec_x, dec_y, masque, nom, indiceTailleNom, motif);
    return ptelb;
  }
}
