/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package outils;

import Applet.AppletMathGraph32;
import java.awt.Point;

import dialogs.EntreeNomDlg;

import objets.CElementGraphique;

import types.NatureObjet;

/**
 *
 * @author Yves
 */
public class OutilEntreeNom extends Outil {
  /** Constructeur */
   public OutilEntreeNom(AppletMathGraph32 appletMereInit) {
    super(appletMereInit, true);
  }
  
  /**
   * Renvoie le nom du fichier gif associ  l'outil
   * @return
   */
  @Override
  public String nomGif() {
    return "Nommer.gif";
  }
  
  @Override
  public String chaineInfo() {
    return textes.Chaines.chaineInfo33;
  }  

  public String toolTip() {
    return textes.Chaines.toolTip33;
  }
  
  /** Appel lorsque l'outil est slectionn */
  @Override
  public void select() {
    super.select();
    appletMere.outilPointageActif = appletMere.outilPointagePourNommer;
    appletMere.outilPointageActif.reset();
    designationDe(NatureObjet.NToutPoint | NatureObjet.NDroite);
    appletMere.indication(textes.Chaines.entreeNom1);
  }
  @Override
  public void traiteObjetDesigne(CElementGraphique elg, Point pointClique) {
    ajouteClignotementDe(elg);
    EntreeNomDlg dlg = new EntreeNomDlg(appletMere, elg);
    dlg.setLocationRelativeTo(null); // Pour centrer la boite de dialogue sur l'cran
    // On redessine la figure pour liminer la dsignation ce point affiche pur le centre
    appletMere.videDesignation();
    dlg.setVisible(true);
    annuleClignotement();
  }
}
