/*
 * OutilParDtPt.java
 *
 * Created on 23 fvrier 2006, 18:15
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

/**
 *
 * @author Yves
 * Outil anctre des outils construisant un objet pas la dsignation d'une droite suivie
 * d'un point
 */
package outils;

import objets.*;
import types.*;
import java.awt.*;
import Applet.*;

public class OutilParDtPt extends Outil {
  CPointAncetre point1;
  CDroiteAncetre droite1;
  /** Creates a new instance of OutilParDtPt */
  public OutilParDtPt(AppletMathGraph32 appletMereInit) {
    super(appletMereInit, true);
  }
  /** Appel lorsque l'outil est slectionn */
  public void select() {
    super.select();
    point1 = null;
    droite1 = null;
    designationDe(NatureObjet.NTouteDroite);
    appletMere.indication(chaineIndication(1));
  }
  /* Appel lorsqu'un objet a t cliqu pour tre trait par l'outil
   * par exemple le premier point pour crer une droite passant par deux points */
  public void traiteObjetDesigne(CElementGraphique elg, Point pointClique) {
    if (droite1 == null) {
      appletMere.indication(chaineIndication(2));
      droite1 = (CDroiteAncetre) elg;
      ajouteObjetsVisuels();
      excluDeDesignation(elg);
      ajouteClignotementDe(elg);
      resetClignotement();
      designationDe(NatureObjet.NToutPoint);
    }
    else {
      if (point1 == null) {
        point1 = (CPointAncetre) elg;
        creeObjet();
        annuleClignotement();
      }
    }
  }
  
}
