/**
  	Applet MathGraph32 Java. Software for animating dynamic mathematics figures on web pages
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


package outils;

import Applet.AppletMathGraph32;
import Applet.MtgPaneFigure;
import objets.CMathGrafDoc;

public class OutilPointageHistorique extends OutilPointage {

  /** Creates a new instance of OutilPointageHistorique */
  public OutilPointageHistorique(AppletMathGraph32 appletMereInit) {
    super(appletMereInit);
    // aRedessinerDansPaint = true;
  }
  
  public void actionDansPaint(AppletMathGraph32 applet) {
		CMathGrafDoc doc= applet.document;
		MtgPaneFigure paneFigure = applet.paneFigure;
		applet.paneFigure.effacegBuffer();
		if (applet.outilActif.nbClignPair) {
			paneFigure.afficheToutDansgbufferPourHistSaufListeClig();
			applet.listeClignotante.afficheToutMemeMasques(paneFigure.gbuffer, applet.dimf, applet.couleurFond, doc.transparencePourSurfaces,
					appletMere.pref_antialiasing);
		}
		else paneFigure.afficheToutDansgbufferPourHistSaufListeClig();
		aRedessinerDansPaint = false;		
  }
}
